<?php
//include_once($_SERVER['DOCUMENT_ROOT'].'/inc/config.php');
include_once($_SERVER['DOCUMENT_ROOT'] . '/inc/funcs.php');

$debug = true;

$commitsUrl = "https://api.github.com/repos/mathewmeconry/TV7_EPG_Data/commits";

$commits = json_decode(apiFuncs\xsget($commitsUrl));

$commitDate = new DateTime($commits[0]->commit->author->date);

$commitDiff = $commitDate->diff(new DateTime());
$numDaysSinceCommit = $commitDiff->format("%r%a");

if ($debug == true) {
  echo "<pre>";
}

if ($numDaysSinceCommit > 5) {
  echo "it has been too long! ($numDaysSinceCommit)\n";
  //todo: send some notification...
} else {
  if ($debug == true) {
    echo "it has only been $numDaysSinceCommit days, all is good.";
  }
}

//echo "days since last commit: $numDaysSinceCommit \n";

if ($debug == true) {
  echo "</pre>";
}
