<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

/*$source = "https://github.com/mathewmeconry/TV7_EPG_Data/raw/master/tv7_epg.xml.gz";


header('Content-Type: application/octet-stream');
header('Content-Disposition: attachment; filename="epg.xml.gz"');

$debug = false;
$file = '.epg.cache';
$cache_age = 28800; // 8h

$ret = "";
$fileage = @filemtime($file);
//caching
if($fileage && !(time() - $fileage >= $cache_age) && !$debug) {
  header('X-CacheStatus: cached');
  header('X-CacheAge: '.(time() - $fileage));
  $ret = file_get_contents($file);
}
if($ret == "") {
  header('X-CacheStatus: fresh');
  //$fake_user_agent = "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/63.0.3239.84 Safari/537.36";
  //ini_set('user_agent', $fake_user_agent);
  $ret = file_get_contents($source);
  
  file_put_contents($file, $ret);
}

echo $ret;
*/

$source = "./TV7_EPG_Parser/tv7_epg.xml";
$dest = "./.epg-self.cache";

gzCompressFile($source, $dest, 8);

echo "habe fertig.";


/**
 * GZIPs a file on disk (appending .gz to the name)
 *
 * From http://stackoverflow.com/questions/6073397/how-do-you-create-a-gz-file-using-php
 * Based on function by Kioob at:
 * http://www.php.net/manual/en/function.gzwrite.php#34955
 * 
 * @param string $source Path to file that should be compressed
 * @param integer $level GZIP compression level (default: 9)
 * @return string New filename (with .gz appended) if success, or false if operation fails
 */
function gzCompressFile($source, $dest = "", $level = 9){
    if($dest == "") {
      $dest = $source . '.gz'; 
    }
    $mode = 'wb' . $level; 
    $error = false; 
    if ($fp_out = gzopen($dest, $mode)) { 
        if ($fp_in = fopen($source,'rb')) { 
            while (!feof($fp_in)) 
                gzwrite($fp_out, fread($fp_in, 1024 * 512)); 
            fclose($fp_in); 
        } else {
            $error = true; 
        }
        gzclose($fp_out); 
    } else {
        $error = true; 
    }
    if ($error)
        return false; 
    else
        return $dest; 
}
