<?php
/*ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);*/

$source = "https://github.com/mathewmeconry/TV7_EPG_Data/raw/master/tv7_epg.xml.gz";


header('Content-Type: application/octet-stream');
header('Content-Disposition: attachment; filename="epg.xml"');

$debug = false;
$file = '.epg.cache';
$cache_age = 28800; // 8h

$ret = "";
$fileage = @filemtime($file);
//caching
if($fileage && !(time() - $fileage >= $cache_age) && !$debug) {
  header('X-CacheStatus: cached');
  header('X-CacheAge: '.(time() - $fileage));
}
if($ret == "") {
  header('X-CacheStatus: fresh');
  //$fake_user_agent = "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/63.0.3239.84 Safari/537.36";
  //ini_set('user_agent', $fake_user_agent);
  $ret = file_get_contents($source);
  
  file_put_contents($file, $ret);
}

readgzfile($file);
