<?php
/*ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);*/
include_once("channelsparser.php");

$source = "https://api.init7.net/tvchannels.m3u";

$first = array("SRF1 HD","SRFzwei HD","SRF Info HD","3+ HD","ORF1 HD","ORF2 HD","Das Erste HD","ZDF HD","ZDF Neo HD","RTL CH","RTL 2 (Schweiz)","Super RTL (Schweiz)",
"RTL Nitro","ProSieben (Schweiz)","ProSieben Maxx","Sat.1 (Schweiz)","Sat1 Gold","VOX (Schweiz)","Kabel1 (Schweiz)","3Sat HD","Arte HD","ARD Alpha","Phoenix HD","BR HD",
"BBC One HD","BBC Two HD","ITV 1 HD","Channel 4 HD","ITV 2","ITV 3","ITV 4","BBC Four HD","E4","Film 4","BBC World News Europe HD","BBC NEWS HD","CNN International",
"VIVA CH HD","MTV Schweiz HD");

$filterGroups = array("chde","de","en","it","es","gr","ru");

//header('Content-Type: audio/mpegurl');
//header('Content-Disposition: attachment; filename="Fiber7.TV.m3u"');
header('Content-Type: text/plain');

$debug = true;
$file = '.channels.cache';
$cache_age = 28800; // 8h

$ret = "";
$fileage = @filemtime($file);
//caching
if($fileage && !(time() - $fileage >= $cache_age) && !$debug) {
  header('X-CacheStatus: cached');
  header('X-CacheAge: '.(time() - $fileage));
  $ret = file_get_contents($file);
}
if($ret == "") {
  header('X-CacheStatus: fresh');
  //$fake_user_agent = "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/63.0.3239.84 Safari/537.36";
  //ini_set('user_agent', $fake_user_agent);
  $ret = file_get_contents($source);
  echo "DEBUG1: Source\n";
  echo $ret;
  echo "DEBUG2: Parsed\n";
  
  $parser = new gmaChannels\ChannelParser($first, $filterGroups, $debug);
  $parser->Parse($ret);
  $ret = $parser->GetList();
  
  file_put_contents($file, $ret);
}

echo $ret;
