<?php
include_once($_SERVER['DOCUMENT_ROOT'].'/inc/origin.class.php');
include_once($_SERVER['DOCUMENT_ROOT'].'/inc/config.php');
include_once($_SERVER['DOCUMENT_ROOT'].'/inc/funcs.php');

originHelper\origin::check($config['allowed-origins']);

header('Content-Type: application/json');

echo '
{
  "short_name": "Dashboard",
  "name": "Dashboard mayer.life",
  "icons": [
    {
      "src": "dashboard.png",
      "type": "image/png",
      "sizes": "128x128"
    },
    {
      "src": "dashboard.svg",
      "type": "image/svg",
      "sizes": "any"
    }
  ],
  "start_url": "'.originHelper\origin::$current.'/dashboard/",
  "offline": false,
  "display": "fullscreen",
  "orientation": "portrait",
  "background_color": "#fff",
  "theme_color": "olivedrab"
}';

